com.aliyun.svideosdk.common.struct.common

## Class AliyunVideoClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunClip
  - - com.aliyun.svideosdk.common.struct.common.AliyunVideoClip

-     public class AliyunVideoClip
      extends AliyunClip

  编辑模块编辑视频用到的视频源，该类的实例可以通过`AliyunVideoClip.Builder`来构建获得，通过`AliyunIImport`导入视频时需要先 创建视频源对象，添加到`AliyunIImport`中。

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunVideoClip.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `mClipHeight, mClipWidth`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取clip文件时长
    `long` | `getEndTime()` 获取clip的结束时间点，相对于clip视频文件的某一个时间点，如果超出视频总时长则超出部分不能播放
    `int` | `getRotation()` 获取clip的旋转角度
    `long` | `getStartTime()` 获取clip的开始时间点，相对于clip视频文件的某一个时间点，如果设置的时间点超出了视频总时长，则该clip不能播放
    `int` | `getVideoHeight()` 获取视频参数分辨率高度 com.aliyun.svideosdk.common.struct.common.AliyunVideoClip.Builder#build() 之后才会赋值
    `int` | `getVideoWidth()` 获取视频参数分辨率宽度 com.aliyun.svideosdk.common.struct.common.AliyunVideoClip.Builder#build() 之后才会赋值
    `void` | `setDuration(long durationMills)` 设置持续时长
    `void` | `setEndTime(long endTime)` 设置clip的结束时间点
    `void` | `setRotation(int rotation)` 设置clip的角度值
    `void` | `setStartTime(long startTime)` 设置clip的开始时间点

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.common.AliyunClip

      `getClipHeight, getClipWidth, getDisplayMode, getId, getMediaType, getSource, getTransition, setDisplayMode, setId, setMediaType, setSource, setTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStartTime

          public long getStartTime()

      获取clip的开始时间点，相对于clip视频文件的某一个时间点，如果设置的时间点超出了视频总时长，则该clip不能播放
      Returns:
        source, 单位：毫秒

    - #### setStartTime

          public void setStartTime(long startTime)

      设置clip的开始时间点
      Parameters:
        `startTime` - 开始时间，单位：毫秒

    - #### getEndTime

          public long getEndTime()

      获取clip的结束时间点，相对于clip视频文件的某一个时间点，如果超出视频总时长则超出部分不能播放
      Returns:
        source, 单位：毫秒

    - #### setEndTime

          public void setEndTime(long endTime)

      设置clip的结束时间点
      Parameters:
        `endTime` - 结束时间，单位：毫秒

    - #### getRotation

          public int getRotation()

      获取clip的旋转角度
      Returns:
        source

    - #### setRotation

          public void setRotation(int rotation)

      设置clip的角度值
      Parameters:
        `rotation` - 单位 角度

    - #### getVideoWidth

          public int getVideoWidth()

      获取视频参数分辨率宽度 com.aliyun.svideosdk.common.struct.common.AliyunVideoClip.Builder#build() 之后才会赋值
      Returns:
        mVideoWidth

    - #### getVideoHeight

          public int getVideoHeight()

      获取视频参数分辨率高度 com.aliyun.svideosdk.common.struct.common.AliyunVideoClip.Builder#build() 之后才会赋值
      Returns:
        mVideoHeigth

    - #### getDuration

          public long getDuration()

      获取clip文件时长
      Returns:
        duration, 单位：毫秒

    - #### setDuration

          public void setDuration(long durationMills)

      设置持续时长
      Parameters:
        `durationMills` - 单位：毫秒